## gst-plugins-bad1.0 1.13.91

=== debian/changelog ===
gst-plugins-bad1.0 (1.13.91-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Thu, 15 Mar 2018 13:19:35 +0000

gst-plugins-bad1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:08:43 +0200

gst-plugins-bad1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 04 Mar 2018 23:16:25 +0200

=== debian/control ===
Source: gst-plugins-bad1.0
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: autoconf (>= 2.69),
               automake (>= 1.14),
               autopoint (>= 0.17),
               autotools-dev,
               cdbs (>= 0.4.93),
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.15.1),
               flite-dev,
               gir1.2-freedesktop,
               gir1.2-glib-2.0,
               gir1.2-gst-plugins-base-1.0,
               gir1.2-gstreamer-1.0,
               gobject-introspection (>= 0.9.12-4~),
               libasound2-dev (>= 0.9.1) [linux-any],
               libcdaudio-dev [linux-any],
               libdc1394-22-dev (>= 2.0.0) [linux-any],
               libgudev-1.0-dev (>= 143) [linux-any],
               libusb-1.0-0-dev [linux-any],
               libbluetooth-dev (>= 5) [linux-any],
               libsbc-dev (>= 1.1) [linux-any],
               libwayland-dev (>= 1.4.0) [linux-any],
               libdrm-dev (>= 2.4.55) [linux-any],
               wayland-protocols (>= 1.4) [linux-any],
               libvulkan-dev [linux-any],
               libgstreamer1.0-dev (>= 1.13.91),
               gstreamer1.0-doc,
               gstreamer1.0-plugins-base (>= 1.13.91),
               gstreamer1.0-plugins-base-doc,
               gtk-doc-tools (>= 1.12),
               ladspa-sdk,
               libass-dev (>= 0.10.4),
               libbs2b-dev,
               libbz2-dev,
               libcairo2-dev,
               libchromaprint-dev,
               libcurl4-gnutls-dev (>= 7.35.0),
               libdca-dev,
               libde265-dev,
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev (>= 2.7),
               libfluidsynth-dev (>= 1.0),
               libgirepository1.0-dev (>= 0.9.12-4~),
               libglib2.0-dev (>= 2.40),
               libgme-dev,
               libgnutls28-dev (>= 2.11.3),
               libgsm1-dev,
               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
               libgstreamer-plugins-good1.0-dev (>= 1.13.91),
               libgtk-3-dev (>= 3.15.0),
               libiptcdata0-dev (>= 1.0.2),
               libkate-dev (>= 0.1.7),
               liblcms2-dev (>= 2.7),
               liblilv-dev (>= 0.16),
               libmjpegtools-dev,
               libmms-dev (>= 0.4),
               libmodplug-dev,
               libmpcdec-dev,
               libnice-dev (>= 0.1.14),
               libofa0-dev (>= 0.9.3),
               libopenal-dev (>= 1:1.14),
               libopencv-dev (>= 2.3.0),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.1),
               libopenmpt-dev,
               libopus-dev (>= 0.9.4),
               liborc-0.4-dev (>= 1:0.4.17),
               libpng-dev,
               librsvg2-dev (>= 2.36.2),
               librtmp-dev,
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch-dev (>= 1.5.0),
               libspandsp-dev,
               libsrtp2-dev (>= 2.1),
               libssl-dev,
               libtool (>= 2.2.6),
               libvo-aacenc-dev,
               libvo-amrwbenc-dev,
               libwebp-dev (>= 0.2.1),
               libwebrtc-audio-processing-dev (>= 0.2),
               libwildmidi-dev (>= 0.2.3),
               libx11-dev,
               libx11-xcb-dev,
               libx265-dev,
               libxml2-dev (>= 2.8),
               libxvidcore-dev,
               libzbar-dev (>= 0.9),
               libzvbi-dev,
               nettle-dev,
               pkg-config (>= 0.11.0)
Standards-Version: 3.9.3
XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-bad1.0.git
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-bad1.0.git;a=summary
Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-bad1.0
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-bad1.0/+git/gst-plugins-bad1.0
Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-bad.html

Package: gstreamer1.0-plugins-bad-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         gstreamer1.0-doc,
         gstreamer1.0-plugins-base-doc
Description: GStreamer documentation for plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the documentation for plugins from the "bad" set.
 
Package: gstreamer1.0-plugins-bad
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
Provides: gstreamer1.0-plugins-bad-videoparsers,
          gstreamer1.0-plugins-bad-faad,
          ${gstreamer:Provides}
Suggests: frei0r-plugins
Conflicts: gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
           gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2),
          gstreamer1.0-plugins-bad-videoparsers (<< 1.11.91-1ubuntu1),
          gstreamer1.0-plugins-bad-faad (<< 1.11.91-1ubuntu1)
Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer1.0-opencv
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer1.0-plugins-base,
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}),
Conflicts: gstreamer1.0-plugins-bad (<< 1.13.1)
Replaces: gstreamer1.0-plugins-bad (<< 1.13.1)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer OpenCV plugins
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the OpenCV plugins.

Package: gstreamer1.0-plugins-bad-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
         ${misc:Depends}
Replaces: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
Breaks: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
Description: GStreamer plugins from the "bad" set (debug symbols)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.

Package: libgstreamer-plugins-bad1.0-0
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GStreamer libraries from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries from the "bad" set. The API
 is not guaranteed to be stable.

Package: libgstreamer-opencv1.0-0
Architecture: any
Section: libs
Priority: extra
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer OpenCV libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains shared GStreamer libraries for OpenCV.

Package: libgstreamer-plugins-bad1.0-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: ${misc:Depends},
         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
         libgstreamer-opencv1.0-0 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Work-around for gtk-doc bug:
# https://bugzilla.gnome.org/show_bug.cgi?id=783926
export PYTHONIOENCODING="utf-8"

DEB_BUILD_PARALLEL = 1

DEB_DH_AUTORECONF_ARGS += --as-needed

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET = check || true

# this is for compatibility with dpkg-dev < 1.13.5, see
# <http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html>
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif
# end of compatibility block

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)
gst_major=1
gst_minor=0
gst_abi=$(gst_major).$(gst_minor)
# gstreamer library package names
gst_lib=libgstreamer$(gst_abi)-0
gst_lib_dev=libgstreamer$(gst_abi)-dev
# what gstreamer version is needed
gst_lib_dev_dep=$(gst_lib_dev) (>= 1.13.91)

gst_pkgname=gstreamer$(gst_abi)
gst_deb_abi=$(gst_abi)-0

gst_extra_build_depends =
gst_extra_build_depends += libasound2-dev (>= 0.9.1) [linux-any]
gst_extra_build_depends += , libcdaudio-dev [linux-any]
gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]
gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
gst_extra_build_depends += , libusb-1.0-0-dev [linux-any]
gst_extra_build_depends += , libbluetooth-dev (>= 5) [linux-any]
gst_extra_build_depends += , libsbc-dev (>= 1.1) [linux-any]
gst_extra_build_depends += , libwayland-dev (>= 1.4.0) [linux-any]
gst_extra_build_depends += , libdrm-dev (>= 2.4.55) [linux-any]
gst_extra_build_depends += , wayland-protocols (>= 1.4) [linux-any]
gst_extra_build_depends += , libvulkan-dev [linux-any]

PLUGINS += plugins-bad opencv
ifeq ($(DEB_HOST_ARCH_OS),linux)
PLUGINS +=
endif
VERSIONIZE= \
	plugins-bad-doc.install \

#debug package
DEB_DH_STRIP_ARGS := --dbg-package=$(gst_pkgname)-plugins-bad-dbg

ifeq ($(DEB_HOST_ARCH_OS),linux)
dvb = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdvb.so
fbdev = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstfbdevsink.so
vcd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvcdsrc.so
cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
uvch264 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstuvch264.so
bluez = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstbluez.so
sbc = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstsbc.so
waylandsink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstwaylandsink.so
wayland = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstwayland-$(gst_abi).so.*
kms = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstkms.so
vulkan = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvulkan.so
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
resindvd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstresindvd.so
endif

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Bad Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad$(gst_abi)"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Debian)"
GST_PACKAGE_ORIGIN="http://packages.qa.debian.org/gst-plugins-bad$(gst_abi)"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Bad Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/distros/ubuntu/+source/gst-plugins-bad$(gst_abi)"
endif


# setup links for packages
pre-build::
	for p in $(PLUGINS); do \
		rm -f debian/$(gst_pkgname)-$$p.install; \
		sed \
			-e 's,@dvb@,$(dvb),g' \
			-e 's,@decklink@,$(decklink),g' \
			-e 's,@linsys@,$(linsys),g' \
			-e 's,@fbdev@,$(fbdev),g' \
			-e 's,@vcd@,$(vcd),g' \
			-e 's,@dc1394@,$(dc1394),g' \
			-e 's,@cdaudio@,$(cdaudio),g' \
			-e 's,@resindvd@,$(resindvd),g' \
			-e 's,@uvch264@,$(uvch264),g' \
			-e 's,@bluez@,$(bluez),g' \
			-e 's,@sbc@,$(sbc),g' \
			-e 's,@waylandsink@,$(waylandsink),g' \
			-e 's,@kms@,$(kms),g' \
			-e 's,@vulkan@,$(vulkan),g' \
			-e 's/@GST_ABI@/$(gst_abi)/g' \
			debian/gstreamer-$$p.install \
			> debian/$(gst_pkgname)-$$p.install; \
	done

	for f in $(VERSIONIZE); do \
		sed 's/@GST_ABI@/$(gst_abi)/g' debian/gstreamer-$$f \
			> debian/$(gst_pkgname)-$$f; \
	done

	sed -e 's/@GST_ABI@/$(gst_abi)/g' -e 's,@wayland@,$(wayland),g' \
			debian/libgstreamer-plugins-bad.install \
			> debian/libgstreamer-plugins-bad$(gst_deb_abi).install
	sed -e 's/@GST_ABI@/$(gst_abi)/g' \
			debian/libgstreamer-opencv.install \
			> debian/libgstreamer-opencv$(gst_deb_abi).install
	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-bad-dev.install \
			> debian/libgstreamer-plugins-bad$(gst_abi)-dev.install
	cp debian/gir1.2-gst-plugins-bad.install \
			debian/gir1.2-gst-plugins-bad-$(gst_abi).install

maint: debian/control

debian/build-deps: debian/build-deps.in debian/rules
	cat $< > $@
	sort $@ -o $@

debian/control: debian/control.in debian/build-deps debian/mk.control debian/rules
	perl debian/mk.control | sed \
		-e 's/@GST_VERSION@/$(gst_version)/g' \
		-e 's/@GST_ABI@/$(gst_abi)/g' \
		-e 's/@GST_DEB_ABI@/$(gst_deb_abi)/g' \
		-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
		-e 's/@GST_LIB@/$(gst_lib)/g' \
		-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
		-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
		-e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
		-e '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' \
		>$@

DEB_CONFIGURE_EXTRA_FLAGS += \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--disable-examples \
	--enable-DEBUG \
	--enable-debug \
	--with-package-name=$(GST_PACKAGE_NAME) \
	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
	--disable-pvr

# only build the docs on arches which can
ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
endif

ifneq (,$(findstring $(DEB_HOST_ARCH),armhf arm64))
DEB_CONFIGURE_EXTRA_FLAGS += --disable-opengl --disable-glx
endif

common-binary-fixup-arch::
	rm -r $(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/basecamerabinsrc \
		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/interfaces/photography* \
		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/lib/*/libgstbasecamerabinsrc* \
		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/lib/*/libgstphotography*
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):debian/libgstreamer-opencv1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
		dh_gstscancodecs

clean::

## gst-plugins-bad1.0 1.14.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.14.0-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + Disable gl and glx on armhf as it's not useful there.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
    + C/R/P old -videoparsers and -faad

 -- Iain Lane <iain.lane@canonical.com>  Wed, 21 Mar 2018 17:43:19 +0000

gst-plugins-bad1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:08:32 +0200

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.13.91),
+               libgstreamer1.0-dev (>= 1.14.0),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.13.91),
+               gstreamer1.0-plugins-base (>= 1.14.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -54,8 +54,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
-               libgstreamer-plugins-good1.0-dev (>= 1.13.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
+               libgstreamer-plugins-good1.0-dev (>= 1.14.0),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.13.91)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 1.14.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1772898); remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Wed, 23 May 2018 12:41:48 +0100

gst-plugins-bad1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:37:19 +0300

gst-plugins-bad1.0 (1.14.0-1ubuntu3) cosmic; urgency=medium

  * debian/rules: gl and glx aren't here any more, don't disable

 -- Iain Lane <iain.lane@canonical.com>  Fri, 11 May 2018 17:44:10 +0000

gst-plugins-bad1.0 (1.14.0-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild for x265 soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 May 2018 09:26:44 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: autoconf (>= 2.69),
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.14.0),
+               libgstreamer1.0-dev (>= 1.14.1),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.0),
+               gstreamer1.0-plugins-base (>= 1.14.1),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -54,8 +54,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-               libgstreamer-plugins-good1.0-dev (>= 1.14.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.1),
+               libgstreamer-plugins-good1.0-dev (>= 1.14.1),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),
@@ -98,11 +98,11 @@
                nettle-dev,
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
-XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-bad1.0.git
-XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-bad1.0.git;a=summary
 Vcs-Git: git://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-bad1.0
 Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gst-plugins-bad1.0/+git/gst-plugins-bad1.0
-Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-bad.html
+XS-Debian-Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-bad1.0/
+Homepage: https://gstreamer.freedesktop.org
 
 Package: gstreamer1.0-plugins-bad-doc
 Architecture: all
@@ -272,3 +272,5 @@
 Depends: ${misc:Depends},
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          libgstreamer-opencv1.0-0 (= ${binary:Version}),
+         libgstreamer1.0-dev,
+         libgstreamer-plugins-base1.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.0)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -192,10 +192,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
 endif
 
-ifneq (,$(findstring $(DEB_HOST_ARCH),armhf arm64))
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-opengl --disable-glx
-endif
-
 common-binary-fixup-arch::
 	rm -r $(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/basecamerabinsrc \
 		$(CURDIR)/debian/libgstreamer-plugins-bad$(gst_abi)-dev/usr/include/*/*/interfaces/photography* \
@@ -206,3 +202,7 @@
 		dh_gstscancodecs
 
 clean::
+	# get rid of the sym links
+	for i in $(PLUGINS); do \
+		rm -f debian/$(gst_pkgname)-$$i.install; \
+		rm -f debian/$(gst_pkgname)-$$i.preinst; \

## gst-plugins-bad1.0 1.14.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.14.2-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jul 2018 12:05:07 +0200

gst-plugins-bad1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:21:14 +0300

gst-plugins-bad1.0 (1.14.1-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild for x265 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Jun 2018 12:15:02 +0200

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.14.1),
+               libgstreamer1.0-dev (>= 1.14.2),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.1),
+               gstreamer1.0-plugins-base (>= 1.14.2),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -54,8 +54,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.14.1),
-               libgstreamer-plugins-good1.0-dev (>= 1.14.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.2),
+               libgstreamer-plugins-good1.0-dev (>= 1.14.2),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.1)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.2)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 1.14.4

=== debian/changelog ===
gst-plugins-bad1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable; remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/control{,.in}: Update Vcs-* for Ubuntu
  * debian/gbp.conf: Set the debian-branch to ubuntu

 -- Iain Lane <iain.lane@canonical.com>  Fri, 05 Oct 2018 12:32:36 +0100

gst-plugins-bad1.0 (1.14.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 03 Oct 2018 13:57:59 +0300

gst-plugins-bad1.0 (1.14.3-1) unstable; urgency=medium

  [ Hugh McMaster ]
  * gir1.2-gst-plugins-bad-1.0: Install the typelibs into a multi-arch
    library directory.
  * debian/control.in:
    - Mark gir1.2-gst-plugins-bad-1.0 Multi-Arch: same.
    - Remove a duplicate ${gir:Depends} from gir1.2-gst-plugins-bad-1.0.
    - Mark libgstreamer-plugins-bad1.0-dev Multi-Arch: same.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:03:13 +0300

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.14.2),
+               libgstreamer1.0-dev (>= 1.14.4),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.2),
+               gstreamer1.0-plugins-base (>= 1.14.4),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -54,8 +54,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.14.2),
-               libgstreamer-plugins-good1.0-dev (>= 1.14.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
+               libgstreamer-plugins-good1.0-dev (>= 1.14.4),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),
@@ -267,10 +267,10 @@
 
 Package: libgstreamer-plugins-bad1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Priority: extra
 Depends: ${misc:Depends},
          libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
          libgstreamer-opencv1.0-0 (= ${binary:Version}),
          libgstreamer1.0-dev,
-         libgstreamer-plugins-base1.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.2)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0

## gst-plugins-bad1.0 1.14.4.2

=== debian/changelog ===
gst-plugins-bad1.0 (1.14.4.2-1+eagle) unstable; urgency=medium

  [ zhouzilong ]
  * Non-maintainer upload.
  * fix CVE-2021-3185

  [ Maintainers of GStreamer packages ]
  * update

 -- Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>  Fri, 19 Feb 2021 14:34:00 +0800

gst-plugins-bad1.0 (1.14.4.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 07976d0422f75c3439c79df8916ed4b542aec7c7']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 18:59:37 +0000

## gst-plugins-bad1.0 1.14.5

=== meson_options.txt ===
option('use_orc', type : 'combo', choices : ['yes', 'no', 'auto'], value : 'auto')
option('disable_introspection',
        type : 'boolean', value : false,
        description : 'Whether to disable the introspection generation')
option('with-package-name', type : 'string',
       description : 'package name to use in plugins')
option('with-package-origin', type : 'string', value : 'Unknown package origin',
       description : 'package origin URL to use in plugins')
option('enable_gst_player_tests', type: 'boolean', value: false,
       description: 'Enable GstPlayer tests that need network access')

=== debian/changelog ===
gst-plugins-bad1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream bugfix release (LP: #1832123)
  * Update references to 1.14.5

 -- Iain Lane <iain.lane@canonical.com>  Thu, 04 Jul 2019 10:16:29 +0100

gst-plugins-bad1.0 (1.14.4-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium

  * No-change backport to bionic (LP: #1829366)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 16 May 2019 13:19:09 +0100

=== debian/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
                libdrm-dev (>= 2.4.55) [linux-any],
                wayland-protocols (>= 1.4) [linux-any],
                libvulkan-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.14.4),
+               libgstreamer1.0-dev (>= 1.14.5),
                gstreamer1.0-doc,
-               gstreamer1.0-plugins-base (>= 1.14.4),
+               gstreamer1.0-plugins-base (>= 1.14.5),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
@@ -54,8 +54,8 @@
                libgme-dev,
                libgnutls28-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.14.4),
-               libgstreamer-plugins-good1.0-dev (>= 1.14.4),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.5),
+               libgstreamer-plugins-good1.0-dev (>= 1.14.5),
                libgtk-3-dev (>= 3.15.0),
                libiptcdata0-dev (>= 1.0.2),
                libkate-dev (>= 0.1.7),

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.4)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.14.5)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
